<?

$member_prefix = 'member-';
$agency_escort_prefix = 'escort-';
$agency_prefix = 'agency-';
$escort_prefix = 'escort-';


foreach($this->threads as $thread):
    $profile_link = '';

	if ($thread['user_type'] == 'agency' && $thread['escort_agency_id']){
	    $profile_link = $this->getLink('profile',
            array(
                'escort_id' => $thread['escort_id'],
                'showname' => urlencode($thread['escort_showname'])
            )
        );
		$data_participant = $agency_escort_prefix . $thread['escort_id'];
		$participant_name = 
			'<a>' . $thread['escort_showname'] . '</a>';

	} elseif ($thread['user_type'] == 'member') {
        $profile_link = $thread['user_name'] ?
            $this->getLink('member-info', array('username' => $thread['user_name'])):
            $this->getLink('member-info', array('username' => $thread['member_username']));

		/*if ($this->user->user_type == 'agency'){
			$data_participant = $member_prefix . $thread['user_id'];
		} else {
			$data_participant = $member_prefix . ($thread['member_id'] ? $thread['member_id'] : $thread['user_id']);
		}*/

        $data_participant = $member_prefix . $thread['user_id'];

        $participant_name = $thread['user_name'] ? '<a>' . $thread['user_name'] . '</a>' : '<a>' . $thread['member_username'] . '</a>';
	} elseif ($thread['user_type'] == 'escort') {
        $profile_link = $this->getLink('profile',
            array(
                'escort_id' => $thread['escort_id'],
                'showname' => urlencode($thread['escort_showname'])
            )
        );

        $data_participant = $escort_prefix . $thread['escort_id'];
		$participant_name = 
			'<a>' . $thread['escort_showname'] . '</a>';
	} else {
	    $profile_link = $thread['name'] ?
            $this->getLink('agency-profile',
                array(
                    'agency_id' => $thread['agency_id'],
                    'agency_slug' => urlencode($thread['name'])
                )
            ) :
            $this->getLink('agency-profile',
                array(
                    'agency_id' => $thread['agency_id'],
                    'agency_slug' => urlencode($thread['agency_name'])
                )
            );


		$data_participant = $agency_prefix . $thread['agency_id'];
        $participant_name = $thread['name'] ? '<a>' . $thread['name'] . '</a>' : '<a>' . $thread['agency_name'] . '</a>';
	}

	$def_avatar_url = '/images/default-image.jpeg';


    if($this->user->isAgency()) {
        $agency_escort_ids = array();
        foreach ($this->all_agency_escorts as $e) {
            $agency_escort_ids[] = $e['id'];
        }
    }

    $is_self_message = true;

    if ($this->user->isMember() && $this->user->id == $thread['last_msg_user'] ){
        $is_self_message = true;
    } elseif ($this->user->isEscort() && $this->user->escort_data["escort_id"] == $thread['last_msg_escort']) {
        $is_self_message = true;
    } elseif ($this->user->isAgency() && $thread['last_msg_escort'] && in_array($thread['last_msg_escort'], $agency_escort_ids) ) {
        $is_self_message = true;
    } elseif ($this->user->isAgency() && $thread['last_msg_escort'] &&  !in_array($thread['last_msg_escort'], $agency_escort_ids) ) {
        $is_self_message = false;
    }  elseif ($this->user->isAgency() && $thread['last_msg_agency'] == $this->user['agency_data']['agency_id'] ) {
        $is_self_message = true;
    } else {
        $is_self_message = false;
    }
	?>

	<div data-visible-on="<? /* echo $is_self_message ? 'sent' : 'inbox';*/ ?>" class="conversation single-contact-thread influencer-143 <?= $thread['has_unread_message'] ? 'unread' : '' ?>"
		data-id="<?= $thread['id']?>"
		data-participant="<?= $data_participant ?>"
		data-contact="<?= $thread['is_in_contacts'] ? 'true' : 'false' ?>"
		data-blocked="<?= $thread['is_blocked'] ? 'true' : 'false' ?>"
		<?= $thread['escort_agency_id'] ? 'data-escort-id = ' . $thread['escort_agency_id'] : '' ?>
		data-escort-id="<?= $thread['self_escort_id'] ? $thread['self_escort_id'] : ''?>"
	>
        <input type="hidden" class="link-to-profile" value="<?= $profile_link ?>">
        <img src="/images/new-msg-icon.svg" class="new-msg-icon">

		<div class="conversation-logo thread-avatar" style="background-image:url('<?= $thread['photo_url'] ? $thread['photo_url'] : $def_avatar_url ?>'), url(<?= $def_avatar_url ?>);">
            <i class="fas fa-lock blocked-thread-icon"></i>
        </div>
		<div class="conversation-right">
			<div class="conversation-top">
				<div class="conversation-name"> <?= $participant_name ?> </div>
			</div>
			<div class="conversation-message text-truncate"><?= strlen($thread['body']) > 25 ? substr(strip_tags($thread['body']), 0, 25) . '...' : $thread['body'] ?></div>
			<div class="conversation-date">
				<?= date('d.m.Y', strtotime($thread['last_message_date'])) ?> |
				<?= date('h:i', strtotime($thread['last_message_date'])) ?>
			</div>
		</div>
	</div>

<? endforeach; ?> 